libmaven-site-plugin-java_3.6-3_all.deb


Advertisement

Description

libmaven-site-plugin-java - Maven Site Plugin for generating a site

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmaven-site-plugin-java_3.6-3_all.deb
Package name libmaven-site-plugin-java
Package version 3.6
Package release 3
Package architecture all
Package type deb
Category java
Homepage http://maven.apache.org/plugins/maven-site-plugin/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 111.29 KB
Installed size 147.00 KB

Alternatives

Package Version Architecture Repository
libmaven-site-plugin-java_3.6-3_all.deb 3.6 all Debian Main
libmaven-site-plugin-java - - -

Requires

Name Value
libcommons-io-java >= 2.5
libcommons-lang3-java -
libdoxia-core-java >= 1.7
libdoxia-java >= 1.7
libdoxia-sitetools-java >= 1.7.5
libjetty9-java -
libmaven-archiver-java >= 3.1.1
libmaven-plugin-tools-java >= 3.5
libmaven-reporting-api-java >= 3.0
libmaven-reporting-exec-java >= 1.4
libmaven-shared-utils-java >= 3.1.0
libmaven3-core-java >= 3.5.0
libplexus-archiver-java >= 3.5
libplexus-classworlds-java >= 2.5.2
libplexus-i18n-java >= 1.0-beta-10
libplexus-utils2-java >= 2.x
libservlet3.1-java -
libsisu-ioc-java >= 2.3.0
libwagon-provider-api-java >= 3.0.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmaven-site-plugin-java_3.6-3_all.deb
Source Package maven-site-plugin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmaven-site-plugin-java deb package:
    # sudo apt-get install libmaven-site-plugin-java

Files

Path
/usr/share/doc/libmaven-site-plugin-java/TODO.Debian
/usr/share/doc/libmaven-site-plugin-java/changelog.Debian.gz
/usr/share/doc/libmaven-site-plugin-java/copyright
/usr/share/maven-repo/org/apache/maven/plugins/maven-site-plugin/3.6/maven-site-plugin-3.6.jar
/usr/share/maven-repo/org/apache/maven/plugins/maven-site-plugin/3.6/maven-site-plugin-3.6.pom

Changelog

2017-11-12 - Miguel Landaeta <nomadium@debian.org>
maven-site-plugin (3.6-3) unstable; urgency=medium
* Team upload.
* Remove Maven rule for plexus-classworlds.
2017-11-10 - Emmanuel Bourg <ebourg@apache.org>
maven-site-plugin (3.6-2) unstable; urgency=medium
* Team upload.
* Depend on libwagon-provider-api-java instead of libwagon-java
* Standards-Version updated to 4.1.1
2017-08-29 - Emmanuel Bourg <ebourg@apache.org>
maven-site-plugin (3.6-1) unstable; urgency=medium
* Team upload.
* New upstream release (Closes: #776028)
- Refreshed the patch
- Depend on libdoxia-java (>= 1.7)
- Depend on libdoxia-sitetools-java (>= 1.7.4)
- Depend on libmaven3-core-java instead of libmaven2-core-java
- Removed the dependency on libplexus-container-default-java
- Depend on libplexus-utils2-java instead of libplexus-utils-java
- New build dependencies on junit4, libmaven-shade-plugin-java,
libjetty9-extra-java and libplexus-component-metadata-java
* Set the source encoding to UTF-8
* Standards-Version updated to 4.1.0
2017-07-17 - Emmanuel Bourg <ebourg@apache.org>
maven-site-plugin (2.2-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patch
* Moved the package to Git
* Standards-Version updated to 4.0.0
* Switch to debhelper level 10
* Use XZ compression for the upstream tarball
2016-02-03 - Emmanuel Bourg <ebourg@apache.org>
maven-site-plugin (2.1-4) unstable; urgency=medium
* Team upload.
* Replaced the dependency on libjetty8-java with libjetty9-java
* Standards-Version updated to 3.9.7 (no changes)
* Build with the DH sequencer instead of CDBS
* Removed the javadoc package
2014-09-28 - Emmanuel Bourg <ebourg@apache.org>
maven-site-plugin (2.1-3) unstable; urgency=medium
* Team upload.
* Replaced the dependency on libjetty-java with libjetty8-java
* debian/control:
- Standards-Version updated to 3.9.6 (no changes)
- Use canonical URLs for the Vcs-* fields
- Removed Michael Koch from the uploaders (Closes: #654114)
* Switch to debhelper level 9
* debian/copyright: Updated to the Copyright Format 1.0
2011-09-11 - Torsten Werner <twerner@debian.org>
maven-site-plugin (2.1-2) unstable; urgency=low
* Remove Build-Depends: quilt.
* Switch to default-jdk.
* Update Standards-Version: 3.9.2.
* Use Maven to build the package. Ignore test failures.
* Change license of debian/* to Apache-2.0.
* Add a documentation package.
2010-02-26 - Gabriele Giacone <1o5g4r8o@gmail.com>
maven-site-plugin (2.1-1) unstable; urgency=low
[ Michael Koch ]
* Added myself to Uploaders.
[ Gabriele Giacone ]
* New upstream release.
* Moved libjetty-java from Suggests to Depends as it's a maven compile
dependency
* Removed doxia1.1 patch
* Updated Standards-Version to 3.8.4.
* Source format 3.0 (quilt)
2009-08-14 - Torsten Werner <twerner@debian.org>
maven-site-plugin (2.0-2) unstable; urgency=low
* Upload to unstable.
2009-07-14 - Ludovic Claude <ludovic.claude@laposte.net>
maven-site-plugin (2.0-1) experimental; urgency=low
* New upstream version, add myself to Uploaders
* Bump up debhelper to 6
* Migrate the build from cdbs-maven to cdbs-ant as Maven uses
this plugin for its build, reorganize Build-Depends to use
only what's needed now.
* Add a Build-Depends-Indep dependency on maven-repo-helper
* Use mh_installpom and mh_installjar to install the POM and the jar to the
Maven repository
* Remove the patch for the POM as it's no longer needed
* Remove Depends on Java runtimes as it is a library
* Change the dependency from libtomcat6-java to libjetty-java
(going back to the original code in maven-site-plugin),
made this dependency optional (Suggests:) as it's not needed
most of the time.
* Add a patch to support Doxia 1.1

See Also

Package Description
libmaven-source-plugin-java_3.0.1-2_all.deb Maven Source Plugin
libmaven-verifier-java-doc_1.6-1_all.deb Documentation for Maven Verifier Component
libmaven-verifier-java_1.6-1_all.deb Maven Verifier Component
libmaven-war-plugin-java_3.2.0-1_all.deb Maven WAR Plugin
libmaven3-core-java_3.6.0-1_all.deb Core libraries for Maven 3
libmavibot-java_1.0.0~M8-1_all.deb Apache Mavibot - MVCC BTree Java Implementation
libmawk-dev_1.0.1-1_all.deb embeddable mawk lib
libmawk1_1.0.1-1_amd64.deb embeddable mawk lib
libmaxflow-dev_3.0.5-2_amd64.deb Development files for the maxflow-mincut algorithm
libmaxflow0_3.0.5-2_amd64.deb This library provides the maxflow-mincut algorithm
libmaxmind-db-common-perl_0.040001-1_all.deb collection of common code for the MaxMind DB Perl modules
libmaxmind-db-reader-perl_1.000013-2_all.deb Perl module to read MaxMind DB files and look up IP addresses
libmaxmind-db-reader-xs-perl_1.000007-2_amd64.deb fast XS implementation of the MaxMind DB reader
libmaxminddb-dev_1.3.2-1_amd64.deb IP geolocation database library (development headers)
libmaxminddb0_1.3.2-1_amd64.deb IP geolocation database library
Advertisement
Advertisement